%define upstream_name    Class-Accessor-Constructor
%define upstream_version 1.111590

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 8

Summary:    Support for an automated dirty flag in
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Class/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Class::Accessor)
BuildRequires: perl(Class::Accessor::Complex)
BuildRequires: perl(Class::Accessor::Installer) >= 1.100.880
BuildRequires: perl(Data::Inherited)
BuildRequires: perl(English)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Temp)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::More) >= 0.940.0
BuildRequires: perl(Tie::Hash)
BuildRequires: perl(constant)
BuildRequires: perl(parent)
BuildArch:  noarch

%description
This module generates accessors for your class in the same spirit as the
Class::Accessor manpage does. While the latter deals with accessors for
scalar values, this module provides accessor makers for rather flexible
constructors.

The accessor generators also generate documentation ready to be used with
the Pod::Generated manpage.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{make}

%{make} test

%install
%makeinstall_std

%files
%doc Changes INSTALL LICENSE META.json META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Tue Jul 11 2017 bb2 <bb2> - 1.111.590-8pclos2017
- rebuild against updates

